using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "NewLevelDifficultySettings", menuName = "Level/Level Difficulty Settings")]
public class LevelDifficultySettingsAsset : ScriptableObject
{
	[SerializeField]
	private float lavaSpeed;

	[SerializeField]
	private MazeDimensions mazeDimensions = new MazeDimensions(5,5);

	[SerializeField]
	private int mazeCellCount = 5;

	public float GetLavaSpeed()
	{
		return lavaSpeed;
	}

	public MazeDimensions GetMazeDimensions()
	{
		return mazeDimensions;
	}

	public int GetMazeCellCount()
	{
		return mazeCellCount;
	}
}
